# Uses of Interface
org.eclipse.birt.report.engine.content.ITextContent

Packages that use ITextContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.
org.eclipse.birt.report.engine.layout.pdf.emitter

## Uses of ITextContent in org.eclipse.birt.report.engine.content

Subinterfaces of ITextContent in org.eclipse.birt.report.engine.content
Modifier and Type
Interface
Description
`interface`
`IAutoTextContent`
Provides the interfaces for the AutoText Content.
`interface`
`IDataContent`
Provides the interface for the Data Content.
`interface`
`ILabelContent`
Provides the interface for the Label Content.
Methods in org.eclipse.birt.report.engine.content that return ITextContent
Modifier and Type
Method
Description
`ITextContent`
IReportContent.`createTextContent()`
create the text content.
`ITextContent`
IReportContent.`createTextContent(IContent content)`
create the text content, copy the properties from the template content.
Methods in org.eclipse.birt.report.engine.content with parameters of type ITextContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitText(ITextContent text, Object value)`
visit the text content object

## Uses of ITextContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ITextContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startText(ITextContent text)`
Start text

## Uses of ITextContent in org.eclipse.birt.report.engine.layout.pdf.emitter

Methods in org.eclipse.birt.report.engine.layout.pdf.emitter with parameters of type ITextContent
Modifier and Type
Method
Description
`void`
IInlineStackingLayout.`setTextIndent(ITextContent textContent)`
`void`
InlineContainerLayout.`setTextIndent(ITextContent content)`
`void`
InlineStackingLayout.`setTextIndent(ITextContent textContent)`